org.apache.ignite.internal.processors

## Interface GridProcessor

All Superinterfaces:
  GridComponent

All Known Subinterfaces:
  GridPortableProcessor, GridSecureSessionProcessor, GridSecurityProcessor, GridSegmentationProcessor

All Known Implementing Classes:
  DataStructuresProcessor, GridAffinityProcessor, GridCacheProcessor, GridClockSyncProcessor, GridClosureProcessor, GridContinuousProcessor, GridDataLoaderProcessor, GridJobMetricsProcessor, GridJobProcessor, GridOffHeapProcessor, GridOsPortableProcessor, GridOsSecureSessionProcessor, GridOsSecurityProcessor, GridOsSegmentationProcessor, GridPortProcessor, GridProcessorAdapter, GridQueryProcessor, GridResourceProcessor, GridRestProcessor, GridServiceProcessor, GridStreamProcessor, GridTaskProcessor, GridTaskSessionProcessor, GridTimeoutProcessor, IgfsNoopProcessor, IgfsProcessor, IgfsProcessorAdapter, IgniteHadoopNoopProcessor, IgniteHadoopProcessorAdapter, IgniteNoopScheduleProcessor, IgnitePluginProcessor, IgniteScheduleProcessorAdapter

    @GridToStringExclude
    public interface GridProcessor
    extends GridComponent

Interface for all processors.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`void` `addAttributes(Map<String,Object> attrs)` Adds attributes from this component to map of all node attributes.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, validateNode`

### Method Detail

#### addAttributes

    void addAttributes(Map<String,Object> attrs)
                       throws IgniteCheckedException

Adds attributes from this component to map of all node attributes.

Parameters:
  `attrs` - Map of all attributes.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015